#!/usr/bin/env bash
source ${HOME}/.miniconda3/etc/profile.d/conda.sh
conda activate ${ENV:-chainer6}

PYTHON="python"

############## Possible calls ##############

##### displays GT parts of CUB200
# ./display.sh /home/korsch1/korsch/datasets/birds/cub200_11 \
# 	CUB200 \
# 	-s600 -n5 \
# 	--features /home/korsch1/korsch/datasets/birds/features/{train,val}_16parts_gt.npz \
# 	--ratio 0.31


##### displays NAC parts of CUB200
# ./display.sh /home/korsch1/korsch/datasets/birds/NAC/2017-bilinear/ \
# 	CUB200 \
# 	-s600 -n5 \
# 	--features /home/korsch1/korsch/datasets/birds/features/{train,val}_20parts.npz \
# 	--ratio 0.31 \
# 	--rescale_size 227

##### load from info file, displays Uniform parts of CUB200 that are in the GT bounding box
# ./display.sh ~/DATA/info.yml \
# 	CUB200
# 	CUB200_UNI \
# 	-s600 -n3 \
# 	--parts_in_bb

############################################

export DATA=$1
$PYTHON display.py $@

